Skip to main content
GET
/
workspaces
/
{id}
Get workspace
curl --request GET \
  --url https://api.akua.dev/v1/workspaces/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ws_j572abc123def456",
  "name": "Acme Research",
  "slug": "<string>",
  "plan": {
    "tier": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": 1,
  "etag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required

Workspace ID

Required string length: 1 - 53

Response

Workspace details

id
string
required

Workspace ID

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

name
string
required

Display name

Example:

"Acme Research"

slug
string
required

URL-safe workspace slug

plan
object
required
created_at
string<date-time>
required

Workspace created timestamp

updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required